%global srcname oslotest

Name:           python-%{srcname}
Version:        5.0.0
Release:        %mkrel 3
Summary:        Oslo Test API

Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/oslotest/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(oslosphinx) >= 2.2.0
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(sphinxcontrib-apidoc)

%description
The Oslo test API.

%package -n     python3-%{srcname}
Summary:        Oslo Test API
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-oslo-test}
Obsoletes:      python3-oslo-test < 4.5.0-3

%description -n python3-%{srcname}
The Oslo test API.

%prep
%setup -q -n oslotest-%{version}

%build
%pyproject_wheel

# generate html docs
sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname}

mv %{buildroot}%{_bindir}/oslo_debug_helper %{buildroot}%{_bindir}/python3-oslo_debug_helper
mv %{buildroot}%{_bindir}/oslo_run_cross_tests %{buildroot}%{_bindir}/python3-oslo_run_cross_tests
mv %{buildroot}%{_bindir}/oslo_run_pre_release_tests %{buildroot}%{_bindir}/python3-oslo_run_pre_release_tests

%files -n python3-%{srcname} -f %{pyproject_files}
%doc html README.rst
%{_bindir}/python3-oslo_*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.0.0-3.mga10
+ Revision: 2241309
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 5.0.0-2.mga10
+ Revision: 2158460
- rebuild for python3.13

* Tue Mar 12 2024 daviddavid <daviddavid> 5.0.0-1.mga10
+ Revision: 2049262
- new version: 5.0.0

* Fri Dec 29 2023 tv <tv> 4.5.0-4.mga10
+ Revision: 2023778
- Rebuild for python-3.12

* Mon Aug 22 2022 wally <wally> 4.5.0-3.mga9
+ Revision: 1879227
- rename as python-oslotest
- switch build to pyproject RPM macros

* Tue Apr 05 2022 umeabot <umeabot> 4.5.0-2.mga9
+ Revision: 1845397
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 4.5.0-1.mga9
+ Revision: 1784773
- version 4.5.0
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 3.8.0-5.mga9
+ Revision: 1706556
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.8.0-4.mga8
+ Revision: 1535565
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 3.8.0-3.mga8
+ Revision: 1452253
- relax deps: remove deps on stestr

* Fri Oct 11 2019 tv <tv> 3.8.0-2.mga8
+ Revision: 1451618
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 3.8.0-1.mga8
+ Revision: 1430561
- new version 3.8.0

* Wed Jan 09 2019 shlomif <shlomif> 3.4.1-3.mga7
+ Revision: 1353714
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.4.1-2.mga7
+ Revision: 1289506
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 3.4.1-1.mga7
+ Revision: 1215582
- BR python[2,3]dist(openstackdocstheme)
- Update to version 3.4.1
+ pterjan <pterjan>
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.11.0-2.mga6
+ Revision: 971233
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 daviddavid <daviddavid> 1.11.0-1.mga6
+ Revision: 889882
- new version: 1.11.0
- add python3 package
- use new python macros
- build html doc

* Mon Aug 31 2015 fwang <fwang> 1.10.0-1.mga6
+ Revision: 871478
- 1.10.0

* Sun Jul 12 2015 bcornec <bcornec> 1.6.0-1.mga6
+ Revision: 853443
- Import python-oslo-test
- Created package structure for python-oslo-test.

